﻿#------------------------------------------------------------------------
# Source File Information (DO NOT MODIFY)
# Source ID: 17a2891a-4ad8-422f-afda-89eb1e505d83
# Source File: EvalToolGUI.pff
#------------------------------------------------------------------------
#region File Recovery Data (DO NOT MODIFY)
<#RecoveryData:
wRMAAB+LCAAAAAAABADsvQdgHEmWJSYvbcp7f0r1StfgdKEIgGATJNiQQBDswYjN5pLsHWlHIymr
KoHKZVZlXWYWQMztnbz33nvvvffee++997o7nU4n99//P1xmZAFs9s5K2smeIYCqyB8/fnwfPyIe
v8qn1WVeXz/N2uzoN07S9PGXdXFRLLPyWVHmL7JFfnR6mZVvqqr8/Kuz8er8/PHdXgt+D3/9ZF43
RbU82h3vPb7rfyCQJz+dT9u0vV7ln330+rpp88X4u8VyVl0142dVvZB/R2nsq1GqoD7bH+/gv1F6
si7bdZ1/tszXbZ2Vo/TlelIW098rv35Tvc2Xn00ePMjuT+9/uvvw3n6+c/Dwo3RJyH720TnB+yIr
lh+l03lRzmpq+tFJtWzrqmw+YkwJ15d1tcrr9lrfOSmLfNm+Ln6Qf3T08GB/lH76KY3QNBp4CbT5
6Mh0d2Pz121Wty+rpmhpmB8dnVCHef16Wuf5ze++yd+1Hx29zqfrumizJj1bZBd5+jRfldX1ggCB
esV5Mc0AO8Vs9kGeXqKh4jKvrggHkJ4//v2fV9ns8V3+3bS/eTrBVJ/Xxewni/zqZ31aZ9TZBXV2
SZ29yhuC0mya4T4Nj8uyuvqqyes31fFs9opwJAJkZZP3SLXx3ad5mbf5e76+nM6r+qOjN9VqlD6p
2rYiMXien7ej9FVxMW9vAeKkKteL5bfzbEYEfZqfZ0SAk7wsX7fXZe4GTS+eLZs2W07zp3kzrYtV
W9Wv8vOciDTNzezzTP3+OlO/P8/U7+9PpgX8++9+lN51ON0WTW8WgBB1dls2AqM/qd4JmJ89nvLQ
IwS79JnO8+nbsmhaf/AYPkby/+mREWe062bjsG4xyT889tt7T/Z7XokK/Ohod2+U7vZ1eP+VL2gk
xWsS6ml7e4EW1R9RSbd49xXJ8JfL8prUQb2+TWeka37ocn/vPQmvpvNTYtlP7x3c4oU32eRsOcvf
fXQUnSTfWAErqHf6hOz09G2U8L9/t1VozbogPW36RbVu8k2Ao207xvKuWEv+M/zj/czoD0lL9BSd
GUdnlmTU4n2cmMYp9MWNLouIiO3hxvY3iEW3+XeLWTv/6OhgZ6fT9P871FdlfAvSv+aWN9JESN7c
rvFGeodEPG6afEFDyhsDSz+5PlISfZEtySGFJzo+XpN3w0rYkWr3tqS6tzs5v3dw/9Nsdu/T/fze
/cd3bU/xnl0fe7ftozsdN/YxxAA/iz0+rbOrYnnxdfrauXd+//zB+e7u7P5Odi/b0NeimVZ1WUy+
AZa+xYhIzL7OcN67o997Uf5wBlTUJCBVff06ry+Laf61NMPtJ0t7Panq/Ot09N7D01GRVqCh/SyM
zf5ptMrjl9n0LSmR2mD0eb7MCbDnQUgDaDn34d3op/rh2VRzE0HT8FNSXcV53rQndc5a62j38d3e
Z7b1yboh9Wa+92APffGyzFqkCI7uUf/md/vtq/Xy9ZvjI7Jh+pt7r7qi7MCcnBqTY4Gf1PtQaXU3
JNZjzRRcWyfucfhC2s3n8KT2czqCSl3N1tO217jzebd9d55inxpfNXj/bvTTk2qxypaei3i398lJ
tbquEU8HjXqfnSHxQvmtDoLxj6PJMHlh+CvCbBH4nnfDTx7fDRJnhjHB+sQJfsru/wkAAP//RG1Z
ccETAAA=#>
#endregion
#========================================================================
# Code Generated By: SAPIEN Technologies, Inc., PowerShell Studio 2012 v3.1.26
# Generated On: 1/2/2014 9:42 AM
# Generated By: bkaler
#========================================================================
#----------------------------------------------
#region Application Functions
#----------------------------------------------

function OnApplicationLoad {
	#Note: This function is not called in Projects
	#Note: This function runs before the form is created
	#Note: To get the script directory in the Packager use: Split-Path $hostinvocation.MyCommand.path
	#Note: To get the console output in the Packager (Windows Mode) use: $ConsoleOutput (Type: System.Collections.ArrayList)
	#Important: Form controls cannot be accessed in this function
	#TODO: Add snapins and custom code to validate the application load
	
	return $true #return true for success or false for failure
	

}

function OnApplicationExit {
	#Note: This function is not called in Projects
	#Note: This function runs after the form is closed
	#TODO: Add custom code to clean up and unload snapins when the application exits
	
	$script:ExitCode = 0 #Set the exit code for the Packager
}

#endregion Application Functions

#----------------------------------------------
# Generated Form Function
#----------------------------------------------
function Call-EvalToolGUI_pff {

	#----------------------------------------------
	#region Import the Assemblies
	#----------------------------------------------
	[void][reflection.assembly]::Load("System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")
	[void][reflection.assembly]::Load("System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")
	[void][reflection.assembly]::Load("System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
	[void][reflection.assembly]::Load("mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")
	[void][reflection.assembly]::Load("System.Data, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")
	[void][reflection.assembly]::Load("System.Xml, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")
	[void][reflection.assembly]::Load("System.DirectoryServices, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
	[void][reflection.assembly]::Load("System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")
	[void][reflection.assembly]::Load("System.ServiceProcess, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
	#endregion Import Assemblies

	#----------------------------------------------
	#region Generated Form Objects
	#----------------------------------------------
	[System.Windows.Forms.Application]::EnableVisualStyles()
	$formMain = New-Object 'System.Windows.Forms.Form'
	$datagridviewResults = New-Object 'System.Windows.Forms.DataGridView'
	$checklist = New-Object 'System.Windows.Forms.DataGridViewTextBoxColumn'
	$status = New-Object 'System.Windows.Forms.DataGridViewTextBoxColumn'
	$InitialFormWindowState = New-Object 'System.Windows.Forms.FormWindowState'
	#endregion Generated Form Objects

	#----------------------------------------------
	# User Generated Script
	#----------------------------------------------
	# Is this a Wow64 powershell host
	function Test-Wow64() {
	    return (Test-Win32) -and (test-path env:\PROCESSOR_ARCHITEW6432)
	}
	
	# Is this a 64 bit process
	function Test-Win64() {
	    return [IntPtr]::size -eq 8
	}
	
	# Is this a 32 bit process
	function Test-Win32() {
	    return [IntPtr]::size -eq 4
	}
	
	
	
	
	
	
	#region Control Helper Functions
	function Load-DataGridView
	{
		<#
		.SYNOPSIS
			This functions helps you load items into a DataGridView.
	
		.DESCRIPTION
			Use this function to dynamically load items into the DataGridView control.
	
		.PARAMETER  DataGridView
			The ComboBox control you want to add items to.
	
		.PARAMETER  Item
			The object or objects you wish to load into the ComboBox's items collection.
		
		.PARAMETER  DataMember
			Sets the name of the list or table in the data source for which the DataGridView is displaying data.
	
		#>
		Param (
			[ValidateNotNull()]
			[Parameter(Mandatory=$true)]
			[System.Windows.Forms.DataGridView]$DataGridView,
			[ValidateNotNull()]
			[Parameter(Mandatory=$true)]
			$Item,
		    [Parameter(Mandatory=$false)]
			[string]$DataMember
		)
		$DataGridView.SuspendLayout()
		$DataGridView.DataMember = $DataMember
		
		if ($Item -is [System.ComponentModel.IListSource]`
		-or $Item -is [System.ComponentModel.IBindingList] -or $Item -is [System.ComponentModel.IBindingListView] )
		{
			$DataGridView.DataSource = $Item
		}
		else
		{
			$array = New-Object System.Collections.ArrayList
			
			if ($Item -is [System.Collections.IList])
			{
				$array.AddRange($Item)
			}
			else
			{	
				$array.Add($Item)	
			}
			$DataGridView.DataSource = $array
		}
		
		$DataGridView.ResumeLayout()
	}
	
	function ConvertTo-DataTable
	{
		<#
			.SYNOPSIS
				Converts objects into a DataTable.
		
			.DESCRIPTION
				Converts objects into a DataTable, which are used for DataBinding.
		
			.PARAMETER  InputObject
				The input to convert into a DataTable.
		
			.PARAMETER  Table
				The DataTable you wish to load the input into.
		
			.PARAMETER RetainColumns
				This switch tells the function to keep the DataTable's existing columns.
			
			.PARAMETER FilterWMIProperties
				This switch removes WMI properties that start with an underline.
		
			.EXAMPLE
				$DataTable = ConvertTo-DataTable -InputObject (Get-Process)
		#>
		[OutputType([System.Data.DataTable])]
		param(
		[ValidateNotNull()]
		$InputObject, 
		[ValidateNotNull()]
		[System.Data.DataTable]$Table,
		[switch]$RetainColumns,
		[switch]$FilterWMIProperties)
		
		if($Table -eq $null)
		{
			$Table = New-Object System.Data.DataTable
		}
	
		if($InputObject-is [System.Data.DataTable])
		{
			$Table = $InputObject
		}
		else
		{
			if(-not $RetainColumns -or $Table.Columns.Count -eq 0)
			{
				#Clear out the Table Contents
				$Table.Clear()
	
				if($InputObject -eq $null){ return } #Empty Data
				
				$object = $null
				#find the first non null value
				foreach($item in $InputObject)
				{
					if($item -ne $null)
					{
						$object = $item
						break	
					}
				}
	
				if($object -eq $null) { return } #All null then empty
				
				#Get all the properties in order to create the columns
				foreach ($prop in $object.PSObject.Get_Properties())
				{
					if(-not $FilterWMIProperties -or -not $prop.Name.StartsWith('__'))#filter out WMI properties
					{
						#Get the type from the Definition string
						$type = $null
						
						if($prop.Value -ne $null)
						{
							try{ $type = $prop.Value.GetType() } catch {}
						}
	
						if($type -ne $null) # -and [System.Type]::GetTypeCode($type) -ne 'Object')
						{
			      			[void]$table.Columns.Add($prop.Name, $type) 
						}
						else #Type info not found
						{ 
							[void]$table.Columns.Add($prop.Name) 	
						}
					}
			    }
				
				if($object -is [System.Data.DataRow])
				{
					foreach($item in $InputObject)
					{	
						$Table.Rows.Add($item)
					}
					return  @(,$Table)
				}
			}
			else
			{
				$Table.Rows.Clear()	
			}
			
			foreach($item in $InputObject)
			{		
				$row = $table.NewRow()
				
				if($item)
				{
					foreach ($prop in $item.PSObject.Get_Properties())
					{
						if($table.Columns.Contains($prop.Name))
						{
							$row.Item($prop.Name) = $prop.Value
						}
					}
				}
				[void]$table.Rows.Add($row)
			}
		}
	
		return @(,$Table)	
	}
	#endregion
	
	$FormEvent_Load={
	
		
	
		#TODO: Initialize Form Controls here
		$bigarray = Get-IniContent("evaltool.ini")
	
		#validate software
		$div = $datagridviewResults.Rows.Add("Software")
		$datagridviewResults.Rows[$div].DefaultCellStyle.BackColor = "yellow"
		foreach ($_ in $bigarray["software"].values)
			{$vsoft = EvalSoftware($_)
			$cstatus = if($vsoft -eq "true"){"OK"}else{"Not Installed"}
			$item = @(($_),($cstatus))
			$i = $datagridviewResults.Rows.Add($item)
			#colorcode success/failure
			if($cstatus -eq "OK")
			{$datagridviewResults.Rows[$i].DefaultCellStyle.backcolor = "green"
			}
			else
			{$datagridviewResults.Rows[$i].DefaultCellStyle.BackColor = "red"
			}
		}
		#validate files
		$div = $datagridviewResults.Rows.Add("Files")
		$datagridviewResults.Rows[$div].DefaultCellStyle.BackColor = "yellow"
		foreach ($_ in $bigarray["files"].values)
		{	$vfile = EvalFiles($_)
			$cstatus = if($vfile -eq "true"){"OK"}else{"Not Installed"}
			$item = @(($_),($cstatus))
			$i = $datagridviewResults.Rows.Add($item)
			if($vfile -eq "true")
			{$datagridviewResults.Rows[$i].DefaultCellStyle.backcolor = "green"
			}
			else
			{$datagridviewResults.Rows[$i].DefaultCellStyle.BackColor = "red"
			}
		}
		#validate processes
		$div = $datagridviewResults.Rows.Add("Processes")
		$datagridviewResults.Rows[$div].DefaultCellStyle.BackColor = "yellow"
		foreach ($_ in $bigarray["process"].values)
		{	$vproc = EvalProcess($_)
			$cstatus = if($vproc -eq "true"){"OK"}else{"Not found"}
			$item = @(($_),($cstatus))
			$i = $datagridviewResults.Rows.Add($item)
			if($vproc -eq "true")
			{$datagridviewResults.Rows[$i].DefaultCellStyle.backcolor = "green"
			}
			else
			{$datagridviewResults.Rows[$i].DefaultCellStyle.BackColor = "red"
			}
		}
		#validate disk encryption
		$div = $datagridviewResults.Rows.Add("Disk Encryption")
		$datagridviewResults.Rows[$div].DefaultCellStyle.BackColor = "yellow"
		$blstatus = EncryptionStatus
		$item = @(($blstatus),(""))
		$i = $datagridviewResults.Rows.Add($item)
		if($blstatus -like "*Protection On*")
		{$datagridviewResults.Rows[$i].DefaultCellStyle.backcolor = "green"
			}
			else
			{$datagridviewResults.Rows[$i].DefaultCellStyle.BackColor = "red"
			}
	}
	
	
	
	
	#datagrid code
	$datagridviewResults_ColumnHeaderMouseClick=[System.Windows.Forms.DataGridViewCellMouseEventHandler]{
	#Event Argument: $_ = [System.Windows.Forms.DataGridViewCellMouseEventArgs]
		if($datagridviewResults.DataSource -is [System.Data.DataTable])
		{
			$column = $datagridviewResults.Columns[$_.ColumnIndex]
			$direction = [System.ComponentModel.ListSortDirection]::Ascending
			
			if($column.HeaderCell.SortGlyphDirection -eq 'Descending')
			{
				$direction = [System.ComponentModel.ListSortDirection]::Descending
			}
	
			$datagridviewResults.Sort($datagridviewResults.Columns[$_.ColumnIndex], $direction)
		}
	}
	
	$datagridviewResults_CellContentClick=[System.Windows.Forms.DataGridViewCellEventHandler]{
	#Event Argument: $_ = [System.Windows.Forms.DataGridViewCellEventArgs]
		#TODO: Place custom script here
		
	}
	
	
	function EncryptionStatus()
	{
	$first = (manage-bde -status C:) -match '(?:\s+)Protection Status:' -replace 'Protection Status:\s+' | out-string -Stream
	$second = $first.trim()
	$num = (manage-bde -status C:) -match '^\s+Percentage Encrypted:' -replace '\D+(\d+)%','$1'  | out-string -stream
		return $second + " --- " + $num + "% Encrypted"
		#Protection On --- 100% Encrypted
		#Protection Off --- 0% Encrypted
	}
	
	Function Get-IniContent 
	{ 
	    <# 
	    .Synopsis 
	        Gets the content of an INI file 
	         
	    .Description 
	        Gets the content of an INI file and returns it as a hashtable 
	         
	    .Notes 
	        Author    : Oliver Lipkau <oliver@lipkau.net> 
	        Blog      : http://oliver.lipkau.net/blog/ 
	        Date      : 2010/03/12 
	        Version   : 1.0 
	         
	        #Requires -Version 2.0 
	         
	    .Inputs 
	        System.String 
	         
	    .Outputs 
	        System.Collections.Hashtable 
	         
	    .Parameter FilePath 
	        Specifies the path to the input file. 
	         
	    .Example 
	        $FileContent = Get-IniContent "C:\myinifile.ini" 
	        ----------- 
	        Description 
	        Saves the content of the c:\myinifile.ini in a hashtable called $FileContent 
	     
	    .Example 
	        $inifilepath | $FileContent = Get-IniContent 
	        ----------- 
	        Description 
	        Gets the content of the ini file passed through the pipe into a hashtable called $FileContent 
	     
	    .Example 
	        C:\PS>$FileContent = Get-IniContent "c:\settings.ini" 
	        C:\PS>$FileContent["Section"]["Key"] 
	        ----------- 
	        Description 
	        Returns the key "Key" of the section "Section" from the C:\settings.ini file 
	         
	    .Link 
	        Out-IniFile 
	    #> 
	     
	    [CmdletBinding()] 
	    Param( 
	        [ValidateNotNullOrEmpty()] 
	        [ValidateScript({(Test-Path $_) -and ((Get-Item $_).Extension -eq ".ini")})] 
	        [Parameter(ValueFromPipeline=$True,Mandatory=$True)] 
	        [string]$FilePath 
	    ) 
	     
	    Begin 
	        {Write-Verbose "$($MyInvocation.MyCommand.Name):: Function started"} 
	         
	    Process 
	    { 
	        Write-Verbose "$($MyInvocation.MyCommand.Name):: Processing file: $Filepath" 
	             
	        $ini = @{} 
	        switch -regex -file $FilePath 
	        { 
	            "^\[(.+)\]$" # Section 
	            { 
	                $section = $matches[1] 
	                $ini[$section] = @{} 
	                $CommentCount = 0 
	            } 
	            "^(;.*)$" # Comment 
	            { 
	                if (!($section)) 
	                { 
	                    $section = "No-Section" 
	                    $ini[$section] = @{} 
	                } 
	                $value = $matches[1] 
	                $CommentCount = $CommentCount + 1 
	                $name = "Comment" + $CommentCount 
	                $ini[$section][$name] = $value 
	            }  
	            "(.+?)=(.*)" # Key 
	            { 
	                if (!($section)) 
	                { 
	                    $section = "No-Section" 
	                    $ini[$section] = @{} 
	                } 
	                $name,$value = $matches[1..2] 
	                $ini[$section][$name] = $value 
	            } 
	        } 
	        Write-Verbose "$($MyInvocation.MyCommand.Name):: Finished Processing file: $path" 
	        Return $ini 
	    } 
	         
	    End 
	        {Write-Verbose "$($MyInvocation.MyCommand.Name):: Function ended"} 
	}
	
	
	
	
	function EvalSoftware($dn)
	{
	#| Select-Object -Property name
			$softlist = Get-InstalledSoftware | Select-Object -Property name
	foreach($swi in $softlist)
		{
		$strsw = $swi.name | Out-String -stream
		$es = $strsw -like '*' + $dn + '*'
		if($es -eq "true")
			{return "true"}
		}
	return "false"
				
	}
	
	function EvalProcess($pn)
	{
	$processlist = Get-Process
		foreach($_ in $processlist)
		{
			$process = $_.name 
			If($process -eq $pn){
				return "true"}
		}
		return "false"
	}
	
	function EvalFiles($file)
	{
	$df = Select-String -InputObject $file -Pattern ".*\\" 
	$filename = Select-String -InputObject $file -Pattern "[^/?*:;{}\\]+\.[^/?*:;{}\\]{3}$"
		If($df -ne "null"){
		$query = Get-ChildItem -Path $df.matches[0].value | Where-Object {$_.name -like '*' + $filename.matches[0].value + '*'}
		if ($query.exists -eq "true")
			{return "true"}
			else
			{return "false"}
		}
	}
	
		#http://jongurgul.com/blog/installedsoftware/ 
	Function Get-InstalledSoftware{ 
	    Param([String[]]$Computers)  
	    If (!$Computers) {$Computers = $ENV:ComputerName} 
	    $Base = New-Object PSObject; 
	    $Base | Add-Member Noteproperty ComputerName -Value $Null; 
	    $Base | Add-Member Noteproperty Name -Value $Null; 
	    $Base | Add-Member Noteproperty Publisher -Value $Null; 
	    $Base | Add-Member Noteproperty InstallDate -Value $Null; 
	    $Base | Add-Member Noteproperty EstimatedSize -Value $Null; 
	    $Base | Add-Member Noteproperty Version -Value $Null; 
	    $Base | Add-Member Noteproperty Wow6432Node -Value $Null; 
	    $Results =  New-Object System.Collections.Generic.List[System.Object]; 
	 
	    ForEach ($ComputerName in $Computers){ 
	        $Registry = $Null; 
	        Try{$Registry = [Microsoft.Win32.RegistryKey]::OpenRemoteBaseKey([Microsoft.Win32.RegistryHive]::LocalMachine,$ComputerName);} 
	        Catch{Write-Host -ForegroundColor Red "$($_.Exception.Message)";} 
	         
	        If ($Registry){ 
	            $UninstallKeys = $Null; 
	            $SubKey = $Null; 
	            $UninstallKeys = $Registry.OpenSubKey("Software\Microsoft\Windows\CurrentVersion\Uninstall",$False); 
	            $UninstallKeys.GetSubKeyNames()|%{ 
	                $SubKey = $UninstallKeys.OpenSubKey($_,$False); 
	                $DisplayName = $SubKey.GetValue("DisplayName"); 
	                If ($DisplayName.Length -gt 0){ 
	                    $Entry = $Base | Select-Object * 
	                    $Entry.ComputerName = $ComputerName; 
	                    $Entry.Name = $DisplayName.Trim();  
	                    $Entry.Publisher = $SubKey.GetValue("Publisher");  
	                    [ref]$ParsedInstallDate = Get-Date 
	                    If ([DateTime]::TryParseExact($SubKey.GetValue("InstallDate"),"yyyyMMdd",$Null,[System.Globalization.DateTimeStyles]::None,$ParsedInstallDate)){                     
	                    $Entry.InstallDate = $ParsedInstallDate.Value 
	                    } 
	                    $Entry.EstimatedSize = [Math]::Round($SubKey.GetValue("EstimatedSize")/1KB,1); 
	                    $Entry.Version = $SubKey.GetValue("DisplayVersion"); 
	                    [Void]$Results.Add($Entry); 
	                } 
	            } 
	             
	                If ([IntPtr]::Size -eq 8){ 
	                $UninstallKeysWow6432Node = $Null; 
	                $SubKeyWow6432Node = $Null; 
	                $UninstallKeysWow6432Node = $Registry.OpenSubKey("Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall",$False); 
	                    If ($UninstallKeysWow6432Node) { 
	                        $UninstallKeysWow6432Node.GetSubKeyNames()|%{ 
	                        $SubKeyWow6432Node = $UninstallKeysWow6432Node.OpenSubKey($_,$False); 
	                        $DisplayName = $SubKeyWow6432Node.GetValue("DisplayName"); 
	                        If ($DisplayName.Length -gt 0){ 
	                            $Entry = $Base | Select-Object * 
	                            $Entry.ComputerName = $ComputerName; 
	                            $Entry.Name = $DisplayName.Trim();  
	                            $Entry.Publisher = $SubKeyWow6432Node.GetValue("Publisher");  
	                            [ref]$ParsedInstallDate = Get-Date 
	                            If ([DateTime]::TryParseExact($SubKeyWow6432Node.GetValue("InstallDate"),"yyyyMMdd",$Null,[System.Globalization.DateTimeStyles]::None,$ParsedInstallDate)){                      
	                            $Entry.InstallDate = $ParsedInstallDate.Value 
	                            } 
	                            $Entry.EstimatedSize = [Math]::Round($SubKeyWow6432Node.GetValue("EstimatedSize")/1KB,1); 
	                            $Entry.Version = $SubKeyWow6432Node.GetValue("DisplayVersion"); 
	                            $Entry.Wow6432Node = $True; 
	                            [Void]$Results.Add($Entry); 
	                            } 
	                        } 
	                    } 
	                } 
	        } 
	    } 
	    $Results 
	}
	
	
	# --End User Generated Script--
	#----------------------------------------------
	#region Generated Events
	#----------------------------------------------
	
	$Form_StateCorrection_Load=
	{
		#Correct the initial state of the form to prevent the .Net maximized form issue
		$formMain.WindowState = $InitialFormWindowState
	}
	
	$Form_Cleanup_FormClosed=
	{
		#Remove all event handlers from the controls
		try
		{
			$datagridviewResults.remove_CellContentClick($datagridviewResults_CellContentClick)
			$datagridviewResults.remove_ColumnHeaderMouseClick($datagridviewResults_ColumnHeaderMouseClick)
			$formMain.remove_Shown($FormEvent_Load)
			$formMain.remove_Load($Form_StateCorrection_Load)
			$formMain.remove_FormClosed($Form_Cleanup_FormClosed)
		}
		catch [Exception]
		{ }
	}
	#endregion Generated Events

	#----------------------------------------------
	#region Generated Form Code
	#----------------------------------------------
	#
	# formMain
	#
	$formMain.Controls.Add($datagridviewResults)
	$formMain.ClientSize = '984, 662'
	$formMain.Name = "formMain"
	$formMain.StartPosition = 'CenterScreen'
	$formMain.Text = "Securitas Image Deployment Verification Tool"
	$formMain.add_Shown($FormEvent_Load)
	#
	# datagridviewResults
	#
	$datagridviewResults.AllowUserToAddRows = $False
	$datagridviewResults.AllowUserToDeleteRows = $False
	$datagridviewResults.Anchor = 'Top, Bottom, Left, Right'
	$System_Windows_Forms_DataGridViewCellStyle_1 = New-Object 'System.Windows.Forms.DataGridViewCellStyle'
	$System_Windows_Forms_DataGridViewCellStyle_1.Alignment = 'MiddleLeft'
	$System_Windows_Forms_DataGridViewCellStyle_1.BackColor = 'Control'
	$System_Windows_Forms_DataGridViewCellStyle_1.Font = "Microsoft Sans Serif, 8.25pt"
	$System_Windows_Forms_DataGridViewCellStyle_1.ForeColor = 'WindowText'
	$System_Windows_Forms_DataGridViewCellStyle_1.SelectionBackColor = 'Highlight'
	$System_Windows_Forms_DataGridViewCellStyle_1.SelectionForeColor = 'HighlightText'
	$System_Windows_Forms_DataGridViewCellStyle_1.WrapMode = 'True'
	$datagridviewResults.ColumnHeadersDefaultCellStyle = $System_Windows_Forms_DataGridViewCellStyle_1
	[void]$datagridviewResults.Columns.Add($checklist)
	[void]$datagridviewResults.Columns.Add($status)
	$System_Windows_Forms_DataGridViewCellStyle_2 = New-Object 'System.Windows.Forms.DataGridViewCellStyle'
	$System_Windows_Forms_DataGridViewCellStyle_2.Alignment = 'MiddleLeft'
	$System_Windows_Forms_DataGridViewCellStyle_2.BackColor = 'Window'
	$System_Windows_Forms_DataGridViewCellStyle_2.Font = "Microsoft Sans Serif, 8.25pt"
	$System_Windows_Forms_DataGridViewCellStyle_2.ForeColor = 'ControlText'
	$System_Windows_Forms_DataGridViewCellStyle_2.SelectionBackColor = 'Highlight'
	$System_Windows_Forms_DataGridViewCellStyle_2.SelectionForeColor = 'HighlightText'
	$System_Windows_Forms_DataGridViewCellStyle_2.WrapMode = 'False'
	$datagridviewResults.DefaultCellStyle = $System_Windows_Forms_DataGridViewCellStyle_2
	$datagridviewResults.Location = '12, 12'
	$datagridviewResults.MultiSelect = $False
	$datagridviewResults.Name = "datagridviewResults"
	$datagridviewResults.ReadOnly = $True
	$System_Windows_Forms_DataGridViewCellStyle_3 = New-Object 'System.Windows.Forms.DataGridViewCellStyle'
	$System_Windows_Forms_DataGridViewCellStyle_3.Alignment = 'MiddleLeft'
	$System_Windows_Forms_DataGridViewCellStyle_3.BackColor = 'Control'
	$System_Windows_Forms_DataGridViewCellStyle_3.Font = "Microsoft Sans Serif, 8.25pt"
	$System_Windows_Forms_DataGridViewCellStyle_3.ForeColor = 'WindowText'
	$System_Windows_Forms_DataGridViewCellStyle_3.SelectionBackColor = 'Highlight'
	$System_Windows_Forms_DataGridViewCellStyle_3.SelectionForeColor = 'HighlightText'
	$System_Windows_Forms_DataGridViewCellStyle_3.WrapMode = 'True'
	$datagridviewResults.RowHeadersDefaultCellStyle = $System_Windows_Forms_DataGridViewCellStyle_3
	$datagridviewResults.Size = '960, 638'
	$datagridviewResults.TabIndex = 2
	$datagridviewResults.add_CellContentClick($datagridviewResults_CellContentClick)
	$datagridviewResults.add_ColumnHeaderMouseClick($datagridviewResults_ColumnHeaderMouseClick)
	#
	# checklist
	#
	$checklist.HeaderText = "Checklist Item"
	$checklist.Name = "checklist"
	$checklist.ReadOnly = $True
	$checklist.Width = 800
	#
	# status
	#
	$status.HeaderText = "Status"
	$status.Name = "status"
	$status.ReadOnly = $True
	#endregion Generated Form Code

	#----------------------------------------------

	#Save the initial state of the form
	$InitialFormWindowState = $formMain.WindowState
	#Init the OnLoad event to correct the initial state of the form
	$formMain.add_Load($Form_StateCorrection_Load)
	#Clean up the control events
	$formMain.add_FormClosed($Form_Cleanup_FormClosed)
	#Show the Form
	return $formMain.ShowDialog()

} #End Function

#Call OnApplicationLoad to initialize
if((OnApplicationLoad) -eq $true)
{
	#Call the form
	Call-EvalToolGUI_pff | Out-Null
	#Perform cleanup
	OnApplicationExit
}
